%define gitrepo http://github.com/Tudmotu/%{name}.git
%define gitrev v%{version}

%global extensionname clipboard-indicator@tudmotu.com

%{!?_licensedir:%global license %%doc}

Name: gnome-shell-extension-clipboard-indicator
Version: 37
Release: 1%{?dist}
Summary: add clipboard indicator to the top panel
License: MIT
URL: %{gitrepo}
Source0: %{name}-%{version}.tar.xz
BuildArch: noarch
BuildRequires: gettext
Requires: gnome-shell-extension-common = 3.38.2

%description
Clipboard Manager extension for Gnome-Shell
Adds a clipboard indicator to the top panel, and caches clipboard history.


%prep
%autosetup


%build
./update-po-files.sh
./compile-locales.sh
find locale -name '*.po' -delete


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{extensionname}
cp -r metadata.json stylesheet.css locale schemas \
  extension.js confirmDialog.js prefs.js utils.js \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{extensionname}/


%files
%license LICENSE.rst
%dir %{_datadir}/gnome-shell/extensions/%{extensionname}
%{_datadir}/gnome-shell/extensions/%{extensionname}/*


%changelog
* Mon Dec 14 2020 Philippe Kueck <projects@unixadm.org> - 37.1-1
- initial packaging
